<?php
function calculadora_cajas_m2_shortcode() {
    global $post;
    
    // Obtener el valor de m² que cubre una caja
    $m2_por_caja = get_post_meta($post->ID, '_m2_por_caja', true);
    
    if (!$m2_por_caja || $m2_por_caja <= 0) {
        return ''; // Si no se ha ingresado el valor en el backend, no mostrar la calculadora
    }

    // Generar el formulario de la calculadora
    ob_start(); ?>
    <div class="calculadora-cajas">
        <label for="metros_cuadrados"><?php _e('Metros cuadrados a cubrir:', 'calculadora-cajas-m2'); ?></label>
        <input type="text" id="metros_cuadrados" placeholder="Ingresa los m2">
        <p id="resultado"></p>
        <p><?php echo __('1 caja = ', 'calculadora-cajas-m2') . esc_html($m2_por_caja) . ' m2'; ?></p>
    </div>
    
    <script>
    document.getElementById('metros_cuadrados').addEventListener('input', function() {
        var m2 = parseFloat(document.getElementById('metros_cuadrados').value);
        var m2_por_caja = parseFloat(<?php echo esc_js($m2_por_caja); ?>);
        if (isNaN(m2) || m2 <= 0) {
            document.getElementById('resultado').innerHTML = '<?php _e('Por favor, ingresa un número válido.', 'calculadora-cajas-m2'); ?>';
            return;
        }
        var cajas_necesarias = Math.ceil(m2 / m2_por_caja); // Calcular cajas necesarias
        document.getElementById('resultado').innerHTML = '<?php _e('Necesitás ', 'calculadora-cajas-m2'); ?>' + cajas_necesarias + '<?php _e(' Cajas', 'calculadora-cajas-m2'); ?>';
    });
    </script>
    <?php

    return ob_get_clean();
}
add_shortcode('calculadora_m2', 'calculadora_cajas_m2_shortcode');
?>