jQuery(document).ready(function ($) {
    console.log("Script cargado en Chrome");

    // Obtener el valor de m2 por caja desde PHP
    let m2PorCaja = parseFloat(calculadoraData.m2_por_caja);
    console.log("m2PorCaja:", m2PorCaja);

    // Esperar a que el contenedor de cantidad esté disponible
    let checkInterval = setInterval(function () {
        let quantityContainer = $('.quantity.buttons_added');
        console.log("Buscando contenedor:", quantityContainer.length);

        if (quantityContainer.length && !isNaN(m2PorCaja)) {
            clearInterval(checkInterval); // Detener el temporizador
            console.log("Contenedor encontrado, inicializando cálculo");

            // Crear un contenedor para mostrar el cálculo
            let m2Display = $('<span style="margin-left: 10px; font-size: 14px; color: #555;">cajas = 0 m2</span>');
            quantityContainer.after(m2Display);

            // Función para actualizar el cálculo dinámicamente
            function updateM2Display() {
                let cantidad = parseInt(quantityContainer.find('input.qty').val());
                if (!isNaN(cantidad)) {
                    let totalM2 = (cantidad * m2PorCaja).toFixed(2); // Cálculo con 2 decimales
                    m2Display.text(`cajas = ${totalM2} m2`);
                    console.log("Texto actualizado:", `cajas = ${totalM2} m2`);
                }
            }

            // Detectar cambios en la cantidad
            quantityContainer.find('input.qty').on('input change keyup', function () {
                updateM2Display();
            });

            // Actualizar el valor inicial
            updateM2Display();
        }
    }, 100); // Revisar cada 100ms
});